
ISIS - Bug #2274

PVL output with reserved chars need to be quoted

2015-06-30 10:22 AM - Stuart Sides

Status: Acknowledged   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Impact:  Software Version:  

Description

The PvlFormat and PvlFormatPds classes need to put quotes around strings that contain the PVL reserved characters. See section

2.1.1.2 Reserved Character Set in PARAMETER VALUE LANGUAGE SPECIFICATION (CCSD0006 and CCSD0008) for more

information. The list of characters is "&<>'{},[]=!#()%+";~|". Special chare needs to be taken not to harm hirise output or the sequence

capability in the PVL readers/writers

History

#1 - 2015-06-30 10:24 AM - Stuart Sides

- Description updated

#3 - 2015-08-12 02:52 PM - Moses Milazzo

- Status changed from New to Acknowledged
